# Sorbet 🍧

Sorbet is a Python package designed to enhance the printing experience in the console. It aims to provide an intuitive and user-friendly way to display information during program execution.

Note: Sorbet is currently under development and does not have any features implemented yet.

## Features 🚀

- **Improved Console Printing**: Enhance the readability and presentation of output in the console.
- **Enhanced Display of Objects**: Display lists, tuples, and other objects in a more user-friendly format.

## Planning 📆

- [ ] **Customization Options**: Enable users to customize output formats according to their preferences.
- [ ] **Print given variable name**: If a variable or function is given, the name of that object is also printed in the console.
- [ ] **Print given variable type**: If a variable or function is given, the type of that object is also printed in the console.

## Installation ⚙️

To install sorbet, just run this command in your terminal:

```shell
pip install sorbet
```

## Usage 🖥️

The usage examples below will demonstrate how Sorbet aims to improve console printing.

```py
sb() # prints the current line info, like file, function and line number
sb([var]) # prints the given var with better formatting and coloring.
```

## Contributing 🤝

We welcome contributions! If you're interested in contributing to Sorbet, please refer to the Contributing Guidelines for more information.

## License 📝

This project is licensed under the MIT License.

# Acknowledgments 🙏

Sorbet was inspired by the idea of enhancing console printing, similar to the functionality offered by packages like "icecream." (pls dont sue me)

## Contact 📧

For any inquiries or suggestions regarding Sorbet, feel free to reach out to me on [discord](https://discord.gg/49rUCrxda9).
